Autor Tópico: Problema com o compilador GCC  (Lida 7740 vezes)

Guilherme Vieira

  • Visitante
Problema com o compilador GCC
« Online: 21 de Dezembro de 2005, 17:03 »
Olá a todos!

Sou novo no mundo Linux... Comecei utilizando o Debian e obtive sucesso nos meus atos... Algumas vezes apanhava um pouco, mas sempre conseguia fazer o que queria. Recentemente instalei o Ubuntu 5.10 graças a um amigo que fez pedido dos cds e distribuiu para muitas pessoas.

Meu problema está no seguinte:

No micro de casa tenho um modem LG LM-I56P Smart Link (WinModem, eu acho) que possui especificação e drivers para Linux no próprio CD de instalação. O processo de instalação dos módulos no Ubuntu é novidade para mim e, portanto, segui exatamente os passos contidos no readme. São eles:

Pelo terminal,

- Descompactar o package. Fiz isso em uma pasta modem em /tmp. (Acredito q este seja o procedimento correto! Corrijam-me, por favor, se eu estiver errado)
- Ir até a pasta onde os arquivos foram descompactados
- Digitar
Código: [Selecionar]
$ make

O bash não reconheceu o comando... Direto para a internet, descobri que, como vocês sabem, o Ubuntu não vem com o GCC instalado (antes de gerar dúvidas, eu acesso a net no micro da empresa). Todos as especificações para este problema me diziam que eu deveria usar o apt-get para resolver! Até aí, tudo bem... mas como é que eu vou usar o apt-get estando com modem não-funcional e, portanto, desconectado?
Descobri que poderia baixar os pacotes necessários e mandar pra casa (via pendrive), porém minha questão agora é: como???

Se possível, alguém poderia ajudar-me a resolver este processo!!!

Agradeço desde já![/b][/code]

Offline cypherbios

  • Usuário Ubuntu
  • *
  • Mensagens: 92
  • Líder do Time de Documentação do Ubuntu-BR
    • Ver perfil
    • CypherBIOS.org
Problema com o compilador GCC
« Resposta #1 Online: 21 de Dezembro de 2005, 17:34 »
Você vai precisar de alguns pacotes para compilar os módulos, estes pacotes estão no CD do Ubuntu, então digite:

$ sudo apt-get install build-essential linux-headers-2.6.* wvdial

O Kernel que acompanha o Breezy foi compilado na versão 3.4.5 do GCC, no entanto a versão do compilador que vêm com o Ubuntu é a 4.0.2, sendo assim fica quase impossível compilar módulos para esta versão do Kernel. A menos que você queira recompilar seu próprio Kernel, é mais fácil utilizar uma versão mais antiga do GCC ;)
Para isto, basta obter os pacotes abaixo:

cpp-3.4_3.4.4-6ubuntu8_i386.deb (1700 Kb)
http://archive.ubuntu.com/ubuntu/pool/main/g/gcc-3.4/cpp-3.4_3.4.4-6ubuntu8_i386.deb

gcc-3.4_3.4.4-6ubuntu8_i386.deb (480 Kb)
http://archive.ubuntu.com/ubuntu/pool/main/g/gcc-3.4/gcc-3.4_3.4.4-6ubuntu8_i386.deb

gcc-3.4-base_3.4.4-6ubuntu8_i386.deb (160 Kb)
http://archive.ubuntu.com/ubuntu/pool/main/g/gcc-3.4/gcc-3.4-base_3.4.4-6ubuntu8_i386.deb

Depois acesse a pasta onde você salvou os pacotes e dê o comando para instalá-los:

$ sudo dpkg -i *.deb

Depois dê o comando para utilizar esta versão do compilador:

export CC=gcc-3.4

Agora voce provavelmente jah estara apto para compilar qualquer modulo para o seu kernel
Rafael "CypherBIOS" Proença
http://www.cypherbios.org/blog
Desenvolvedor - APTonCD
Interessado em aprender mais sobre o Ubuntu em português? Comece Aqui

Offline Roberto Ramos

  • Usuário Ubuntu
  • *
  • Mensagens: 82
    • Ver perfil
    • http://www.trincadeas.com.br
Problema com o compilador GCC
« Resposta #2 Online: 23 de Dezembro de 2005, 14:48 »
Estou com um problema para compilar um aplicativo, estou dando o:

./configure --prefix=/usr/local

e está me retornanco o seguinte erro:

Citar

roberto@impcpd01:~/Desktop/gphpedit-0.9.80$ ./configure --prefix=/usr/local
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for gcc... gcc-3.4
checking for C compiler default output file name... configure: error: C compiler cannot create executables
See `config.log' for more details.


Como resolvo este problema?

Offline tfmoraes

  • Usuário Ubuntu
  • *
  • Mensagens: 441
    • Ver perfil
gcc
« Resposta #3 Online: 24 de Dezembro de 2005, 15:29 »
Cara olha só a gambiarra que eu fiz para compilar o driver para o meu modem, um intel 537 ep, no Breezy.
Como para compilar era preciso o gcc-3.4 e só tinha o gcc-4, vejam só a gambiarra, eu criei um link simbólica, assim.

$ ln -s /usr/bin/gcc-4.0 /usr/bin/gcc-3.4

Depois só mandei compilar. Funcionou diretinho, não sei se isso pode ocasionar algum problema. Alguém saberia me dizer?

Offline fabiodsp

  • Usuário Ubuntu
  • *
  • Mensagens: 61
    • Ver perfil
    • http://www.flickr.com/photos/fabio_dsp
Problema com o compilador GCC
« Resposta #4 Online: 25 de Dezembro de 2005, 21:48 »
Interessante tfmoraes, eu também criei o link como disse acima, para o make 537 tudo correu perfeitamente, o q me deixou muito feliz, todavia, para minha posterior frustação,  no make install apareceu o seguinte erro:

root@ibanez:/home/fabio/modem/ubuntu/intel-537EP_secure-2.60.80.1# make install
rm -f /etc/hamregistry.bin
bash 537_inst
running kernel 2.6.12-9-386
installing hamregistry, used for persistant storage
installing usrsound, a soft buzzer
installing 537 module
debian 537_boot rc2.d and rc3.d scripts
starting module and utilities
error loading Intel537
ERROR: Module Intel537 does not exist in /proc/modules
done
root@ibanez:/home/fabio/modem/ubuntu/intel-537EP_secure-2.60.80.1#

Meu modem também é um 537ep. Pior q nesse diretório /proc/modules ñ tem nada.

Pois é, vlw!

Offline Roberto Ramos

  • Usuário Ubuntu
  • *
  • Mensagens: 82
    • Ver perfil
    • http://www.trincadeas.com.br
Problema com o compilador GCC
« Resposta #5 Online: 26 de Dezembro de 2005, 09:40 »
Criei o link mais continua ocorrendo o mesmo erro quando vou compilar, alguém poderia me dizr como posso resolver?...vlw ;)

Offline cypherbios

  • Usuário Ubuntu
  • *
  • Mensagens: 92
  • Líder do Time de Documentação do Ubuntu-BR
    • Ver perfil
    • CypherBIOS.org
Problema com o compilador GCC
« Resposta #6 Online: 26 de Dezembro de 2005, 09:56 »
Jah tentaram fazer como disse acima, instalar a versao 3.4 do GCC?

Talvez ajude, acredito que seja a forma mais correta de fazer isso ;)
Rafael "CypherBIOS" Proença
http://www.cypherbios.org/blog
Desenvolvedor - APTonCD
Interessado em aprender mais sobre o Ubuntu em português? Comece Aqui

Offline Roberto Ramos

  • Usuário Ubuntu
  • *
  • Mensagens: 82
    • Ver perfil
    • http://www.trincadeas.com.br
Problema com o compilador GCC
« Resposta #7 Online: 26 de Dezembro de 2005, 10:14 »
eu ja fiz exatamente o que tinha la biocypherismo, e mesmo assim ocorre akele erro que disse acima...mas vlw pela força...;)

Offline tfmoraes

  • Usuário Ubuntu
  • *
  • Mensagens: 441
    • Ver perfil
Intel 573 ep
« Resposta #8 Online: 27 de Dezembro de 2005, 13:30 »
Cara, pegue a versão mais nova do driver no site da Intel. Você instalou o linux-headers ?
para instalar faça o seguinte:
$ sudo apt-get install linux-headers*
não precisa se preocupar, os linux-headers estão no cd do ubuntu. Outra coisa, eu instalei também o  gcc-3.3-base, que também está no cd.